zenilib: zenilib/jni/external/sdl/src/SDL.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
SDL.c File Reference
`#include "SDL_config.h"`
`#include "SDL.h"`
`#include "SDL_bits.h"`
`#include "SDL_revision.h"`
`#include "SDL_assert_c.h"`
`#include "events/SDL_events_c.h"`
`#include "haptic/SDL_haptic_c.h"`
`#include "joystick/SDL_joystick_c.h"`

Go to the source code of this file.

## Functions

const char * | SDL_GetPlatform ()
| Gets the name of the platform. More...
const char * | SDL_GetRevision (void)
| Get the code revision of SDL that is linked against your program. More...
int | SDL_GetRevisionNumber (void)
| Get the revision number of SDL that is linked against your program. More...
void | SDL_GetVersion (SDL_version *ver)
| Get the version of SDL that is linked against your program. More...
int | SDL_Init (Uint32 flags)
int | SDL_InitSubSystem (Uint32 flags)
void | SDL_InitTicks (void)
static SDL_bool | SDL_PrivateShouldInitSubsystem (Uint32 subsystem)
static SDL_bool | SDL_PrivateShouldQuitSubsystem (Uint32 subsystem)
static void | SDL_PrivateSubsystemRefCountDecr (Uint32 subsystem)
static void | SDL_PrivateSubsystemRefCountIncr (Uint32 subsystem)
void | SDL_Quit (void)
void | SDL_QuitSubSystem (Uint32 flags)
void | SDL_SetMainReady (void)
int | SDL_TimerInit (void)
void | SDL_TimerQuit (void)
Uint32 | SDL_WasInit (Uint32 flags)

## Variables

static SDL_bool | SDL_bInMainQuit = SDL_FALSE
static SDL_bool | SDL_MainIsReady = SDL_TRUE
static Uint8 | SDL_SubsystemRefCount [32]

## Function Documentation

const char* SDL_GetPlatform | ( | void |  | ) |

Gets the name of the platform.

Definition at line 387 of file SDL.c.

const char* SDL_GetRevision | ( | void |  | ) |

Get the code revision of SDL that is linked against your program.

Returns an arbitrary string (a hash value) uniquely identifying the exact revision of the SDL library in use, and is only useful in comparing against other revisions. It is NOT an incrementing number.

Definition at line 373 of file SDL.c.

References SDL_REVISION.

int SDL_GetRevisionNumber | ( | void |  | ) |

Get the revision number of SDL that is linked against your program.

Returns a number uniquely identifying the exact revision of the SDL library in use. It is an incrementing number based on commits to hg.libsdl.org.

Definition at line 380 of file SDL.c.

References SDL_REVISION_NUMBER.

void SDL_GetVersion | ( | SDL_version * | ver | ) |

Get the version of SDL that is linked against your program.

If you are linking to SDL dynamically, then it is possible that the current version will be different than the version you compiled against. This function returns the current version, while SDL_VERSION() is a macro that tells you what version you compiled with.

* SDL_version compiled;
* SDL_version linked;
*
* SDL_VERSION(&compiled);
* SDL_GetVersion(&linked);
* printf("We compiled against SDL version %d.%d.%d ...\n",
* compiled.major, compiled.minor, compiled.patch);
* printf("But we linked against SDL version %d.%d.%d.\n",
* linked.major, linked.minor, linked.patch);
*

This function may be called safely at any time, even before SDL_Init().

See Also
  SDL_VERSION

Definition at line 366 of file SDL.c.

References SDL_VERSION.

int SDL_Init | ( | Uint32 | flags | ) |

This function initializes the subsystems specified by `flags` Unless the SDL_INIT_NOPARACHUTE flag is set, it will install cleanup signal handlers for some commonly ignored fatal signals (like SIGSEGV).

Definition at line 235 of file SDL.c.

References SDL_InitSubSystem().

Referenced by main().

int SDL_InitSubSystem | ( | Uint32 | flags | ) |

This function initializes specific SDL subsystems

Definition at line 103 of file SDL.c.

References NULL, SDL_AudioInit(), SDL_ClearError(), SDL_GameControllerInit(), SDL_HapticInit(), SDL_INIT_AUDIO, SDL_INIT_EVENTS, SDL_INIT_GAMECONTROLLER, SDL_INIT_HAPTIC, SDL_INIT_JOYSTICK, SDL_INIT_TIMER, SDL_INIT_VIDEO, SDL_InitTicks(), SDL_JoystickInit(), SDL_MainIsReady, SDL_PrivateShouldInitSubsystem(), SDL_PrivateSubsystemRefCountIncr(), SDL_QuitInit(), SDL_SetError(), SDL_StartEventLoop(), SDL_TimerInit(), and SDL_VideoInit().

Referenced by SDL_Init(), SDL_JoystickInit(), SDL_OpenAudio(), SDL_VideoInit(), SDLTest_SetTestTimeout(), and Zeni::Window::Window().

void SDL_InitTicks | ( | void |  | ) |

Definition at line 34 of file SDL_systimer.c.

Referenced by SDL_GetTicks(), SDL_InitSubSystem(), and SDL_VideoInit().

static SDL_bool SDL_PrivateShouldInitSubsystem | ( | Uint32 | subsystem | ) |

static

Definition at line 75 of file SDL.c.

References SDL_assert, SDL_MostSignificantBitIndex32(), and SDL_SubsystemRefCount.

Referenced by SDL_InitSubSystem().

static SDL_bool SDL_PrivateShouldQuitSubsystem | ( | Uint32 | subsystem | ) |

static

Definition at line 84 of file SDL.c.

References SDL_bInMainQuit, SDL_FALSE, SDL_MostSignificantBitIndex32(), and SDL_SubsystemRefCount.

Referenced by SDL_QuitSubSystem().

static void SDL_PrivateSubsystemRefCountDecr | ( | Uint32 | subsystem | ) |

static

Definition at line 65 of file SDL.c.

References SDL_MostSignificantBitIndex32(), and SDL_SubsystemRefCount.

Referenced by SDL_QuitSubSystem().

static void SDL_PrivateSubsystemRefCountIncr | ( | Uint32 | subsystem | ) |

static

Definition at line 56 of file SDL.c.

References SDL_assert, SDL_MostSignificantBitIndex32(), and SDL_SubsystemRefCount.

Referenced by SDL_InitSubSystem().

void SDL_Quit | ( | void |  | ) |

This function cleans up all initialized subsystems. You should call it upon all exit conditions.

Definition at line 342 of file SDL.c.

References SDL_AssertionsQuit(), SDL_bInMainQuit, SDL_ClearHints(), SDL_FALSE, SDL_INIT_EVERYTHING, SDL_LogResetPriorities(), SDL_memset(), SDL_QuitSubSystem(), SDL_SubsystemRefCount, and SDL_TRUE.

Referenced by cleanup(), main(), and SDL_AbortAssertion().

void SDL_QuitSubSystem | ( | Uint32 | flags | ) |

This function cleans up specific SDL subsystems

Definition at line 241 of file SDL.c.

References SDL_AudioQuit(), SDL_GameControllerQuit(), SDL_HapticQuit(), SDL_INIT_AUDIO, SDL_INIT_EVENTS, SDL_INIT_GAMECONTROLLER, SDL_INIT_HAPTIC, SDL_INIT_JOYSTICK, SDL_INIT_TIMER, SDL_INIT_VIDEO, SDL_JoystickQuit(), SDL_PrivateShouldQuitSubsystem(), SDL_PrivateSubsystemRefCountDecr(), SDL_QuitQuit(), SDL_StopEventLoop(), SDL_TimerQuit(), and SDL_VideoQuit().

Referenced by SDL_JoystickQuit(), SDL_Quit(), SDL_VideoQuit(), and Zeni::Window::~Window().

void SDL_SetMainReady | ( | void |  | ) |

This is called by the real SDL main function to let the rest of the library know that initialization was done properly.

Calling this yourself without knowing what you're doing can cause crashes and hard to diagnose problems with your application.

Definition at line 97 of file SDL.c.

References SDL_MainIsReady, and SDL_TRUE.

Referenced by main().

int SDL_TimerInit | ( | void |  | ) |

Definition at line 206 of file SDL_timer.c.

Referenced by SDL_AddTimer(), and SDL_InitSubSystem().

void SDL_TimerQuit | ( | void |  | ) |

Definition at line 242 of file SDL_timer.c.

Referenced by SDL_QuitSubSystem(), and SDL_TimerInit().

Uint32 SDL_WasInit | ( | Uint32 | flags | ) |

This function returns a mask of the specified subsystems which have previously been initialized.

If `flags` is 0, it returns a mask of all initialized subsystems.

Definition at line 317 of file SDL.c.

References i, SDL_arraysize, SDL_INIT_EVERYTHING, SDL_min, SDL_MostSignificantBitIndex32(), and SDL_SubsystemRefCount.

Referenced by open_audio_device(), SDL_AudioInit(), SDL_GetAudioDeviceName(), SDL_GetNumAudioDevices(), SDL_OpenAudio(), SDL_PrivateJoystickShouldIgnoreEvent(), and SDLTest_SetTestTimeout().

## Variable Documentation

SDL_bool SDL_bInMainQuit = SDL_FALSE

static

Definition at line 51 of file SDL.c.

Referenced by SDL_PrivateShouldQuitSubsystem(), and SDL_Quit().

SDL_bool SDL_MainIsReady = SDL_TRUE

static

Definition at line 49 of file SDL.c.

Referenced by SDL_InitSubSystem(), and SDL_SetMainReady().

Uint8 SDL_SubsystemRefCount[32]

static

Definition at line 52 of file SDL.c.

Referenced by SDL_PrivateShouldInitSubsystem(), SDL_PrivateShouldQuitSubsystem(), SDL_PrivateSubsystemRefCountDecr(), SDL_PrivateSubsystemRefCountIncr(), SDL_Quit(), and SDL_WasInit().